using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HaloObjects;

namespace HaloPlugins.Xbox
{
    public class vrtx
    {
       public List<MetaNode> Fields = new List<MetaNode>();

       public vrtx()
       {
           Fields.AddRange(new MetaNode[] {
           new HaloObjects.Enum("Platform", new string[] { "PC", "Xbox" }, 32),
           new Reflexive("Geometry Classifications", 28, new MetaNode[] { 
               new Unused(4),
               new Reflexive("Compiled Shader", 2, new MetaNode[] { 
                   new Value("Data", typeof(short)),
               }),
               new Reflexive("Code", 1, new MetaNode[] { 
                   new Value("Data", typeof(byte)),
               }),
               new Unused(8),
           }),
           });
       }
    }
}
